//  I²C
//  ATtiny45 8 MHz internal clock 
//  bridge with FTDI
//  referring to i2c_slaveRGB_150511
//  referring to tinyOscalTemp (adjust internal clock)

#include <SoftwareSerial.h>  // include software serial library
SoftwareSerial mySerial(3, 4);  // set RX, TX

#include <TinyWireM.h>  // include TinyWireM library
#define slaveRGB 0x26  // set address of slave with RGB LED

void setup() {  
  OSCCAL= 0x99;  // adjust internal clock
  TinyWireM.begin();  // start I²C  
  pinMode(3, INPUT);  // set up serial port  
  pinMode(4, OUTPUT);  
  mySerial.begin(9600);  // start serial communication
}

void loop() {  
  getData();
//  delay(1000); 
} 

void getData() {
  TinyWireM.requestFrom(slaveRGB, 1);  // request byte from slaveRGB
  byte slaveIn = TinyWireM.receive();  // save received byte  
  mySerial.println(slaveIn);
  if (slaveIn = 4) {
    greenOn();
  }
  else if (slaveIn = 1) {
    blueOn();
  } 
  else if (slaveIn = 3) {
    redOn();
  }
  else {
    restart();
  }
}  

void redOn() {
  TinyWireM.beginTransmission(slaveRGB);
  uint8_t red = 4;  
  TinyWireM.send(red);
  TinyWireM.endTransmission();
}

void greenOn() {
  TinyWireM.beginTransmission(slaveRGB);
  uint8_t green = 1;  
  TinyWireM.send(green);
  TinyWireM.endTransmission();
}

void blueOn() {
  TinyWireM.beginTransmission(slaveRGB);
  uint8_t blue = 3;  
  TinyWireM.send(blue);
  TinyWireM.endTransmission();
}

void restart() {
  TinyWireM.beginTransmission(slaveRGB);  // restart and turn on red LED
  uint8_t start = 4;  
  TinyWireM.send(start);
  TinyWireM.endTransmission();
}



